Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83521 - The debuginfo package contains a bunch of dead symlinks
Summary: The debuginfo package contains a bunch of dead symlinks
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: freetype
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 05:13 UTC by Mike A. Harris
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-28 18:52:31 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2003-02-05 05:13:45 UTC
Freetype debuginfo package has a bunch of dead symlinks that get reported
by rpmlint:

W: freetype-debuginfo dangling-symlink
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/memory.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../ttmemory.c
W: freetype-debuginfo symlink-should-be-relative
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/memory.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../ttmemory.c
W: freetype-debuginfo dangling-symlink
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/file.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../arch/unix/ttmmap.c
W: freetype-debuginfo symlink-should-be-relative
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/file.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../arch/unix/ttmmap.c
W: freetype-debuginfo dangling-symlink
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/mutex.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../ttmutex.c
W: freetype-debuginfo symlink-should-be-relative
/usr/src/debug/freetype-2.1.3/freetype-pre1.4/lib/mutex.c
/usr/src/build/217565-x86_64/BUILD/freetype-2.1.3/freetype-pre1.4/lib/arch/unix/../../ttmutex.c


The example above is x86_64, however it occurs on all architectures.

Comment 1 Owen Taylor 2003-02-05 05:18:11 UTC
What version of the freetype package?

Comment 2 Mike A. Harris 2003-02-05 05:30:25 UTC
freetype-2.1.3-6

Comment 3 Owen Taylor 2003-02-11 21:41:58 UTC
Alex -- it should "just work" in all cases, right?


Comment 4 Alexander Larsson 2003-02-12 09:00:27 UTC
debuginfo package creation is not that smart. All the source filenames
referenced in the debug info are added to the package. If these are symlinks i
guess we only get the symlink. Maybe we should add --dereference to the cpio
call that makes the copy.

Comment 5 Owen Taylor 2003-08-28 18:52:15 UTC
Was fixed in freetype-2.1.4-1


Note You need to log in before you can comment on or make changes to this bug.